﻿CREATE TABLE [dbo].[EsbTrackingOrchestrationData]
(
    [ID]            BIGINT        IDENTITY (1, 1) NOT NULL,
    [OrchestrationName] VARCHAR (50)  NOT NULL,
    [ShapeName]   VARCHAR (50)  NOT NULL,
    [ActivityName]  VARCHAR (50)  NOT NULL,
    [DataName]            VARCHAR (50)  NOT NULL,
    [DataExtractionXPath] VARCHAR (MAX) NOT NULL,
    UNIQUE NONCLUSTERED ([OrchestrationName] ASC, [ShapeName] ASC) WITH (ALLOW_PAGE_LOCKS = ON, ALLOW_ROW_LOCKS = ON, PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF) ON [PRIMARY]
)
