﻿CREATE TABLE [dbo].[EsbTrackingProfiles] (
    [ID]            BIGINT        IDENTITY (1, 1) NOT NULL,
    [ItineraryName] VARCHAR (50)  NOT NULL,
    [ServiceName]   VARCHAR (50)  NOT NULL,
    [ActivityName]  VARCHAR (50)  NOT NULL,
    [MilestoneName] VARCHAR (50)  NOT NULL,
    [Action]        INT           NOT NULL,
    [MsgIdXPath]    VARCHAR (MAX) NULL,
    UNIQUE NONCLUSTERED ([ItineraryName] ASC, [ServiceName] ASC) WITH (ALLOW_PAGE_LOCKS = ON, ALLOW_ROW_LOCKS = ON, PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF) ON [PRIMARY]
);

