﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ESB.BAM.Interceptors
{
    /// <summary>
    /// This is a state holding class.
    /// </summary>
    [Serializable]
    public class TrackInstanceState
    {
        #region Fields
        public bool _bIsInitialized;
        public string _ActivityId;
        public bool _bIsEnded;
        public string _EndIfEmptyIfShapeId;
        public bool _bIsHasSentMsg;
        #endregion

        #region Construction
        /// <summary>
        /// Initializes a new instance of the <see cref="TrackInstanceState"/> class.
        /// </summary>
        public TrackInstanceState()
        {
            _bIsEnded = false;
            _bIsInitialized = false;
            _ActivityId = "";
            _EndIfEmptyIfShapeId = "";
            _bIsHasSentMsg = false;
        }
        #endregion
    }
}
