﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.BizTalk.Bam.Portal;
using Microsoft.BizTalk.Bam.WebServices.ManagementService;

public partial class Pages_ViewMsg : System.Web.UI.Page
{
    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // This page is needed to have the same master page as the BAM portal
            // The inner page is displayed in an iFrame and it will be a complete XML content page
            string id = this.Context.Request.QueryString["id"];
            string name = this.Context.Request.QueryString["name"];
            iframeMsg.Attributes["src"] = "ViewPageInner.aspx?id=" + id + "&name=" + name;
        }
    }
}