﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (1,'Start')

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (2,'Update')

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (3,'ChangeId')

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (4,'End')

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (5,'InitId')

INSERT INTO [LiuEsb].[dbo].[EsbTrackingActions] ([ID],[ActionDescription])
     VALUES (6,'EndIfEmpty')
GO

